# Python imports

# Lib imports
import gi
gi.require_version('Gtk', '3.0')
from gi.repository import Gtk

# Application imports



class BottomButtonBox(Gtk.ButtonBox):
    def __init__(self):
        super(BottomButtonBox, self).__init__()

        self._setup_styling()
        self._setup_signals()
        self._subscribe_to_events()
        self._load_widgets()

        self.show_all()


    def _setup_styling(self):
        ctx = self.get_style_context()
        ctx.add_class("bottom-button-box")

    def _setup_signals(self):
        ...

    def _subscribe_to_events(self):
        ...

    def _load_widgets(self):
        self.initialize_btn     = Gtk.Button(label = "Send Initialize Message")
        self.notification_btn   = Gtk.Button(label = "Send Notification")
        self.message_btn        = Gtk.Button(label = "Send Message")
        self.start_stop_lsp_btn = Gtk.Button(label = "Start LSP")

        self.add(self.initialize_btn)
        self.add(self.notification_btn)
        self.add(self.message_btn)
        self.add(self.start_stop_lsp_btn)

    def connect_widget_signals(self, parent):
        if not parent: return

        self.initialize_btn.connect("clicked", parent.send_initialize_message)
        self.notification_btn.connect("clicked", parent.send_notification)
        self.message_btn.connect("clicked", parent.send_message)
        self.start_stop_lsp_btn.connect("clicked", parent.start_stop_lsp)